<!DOCTYPE html>
<html>
<head>
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center"> Welcome to Forms Page </h2>
	<!-- Semantic Tags

		Semantic Tags are new additions to HTML. 

		Semantic Tags are also containers for element but unlike divs they are definitive of its content without relying to semantic id. However, em, strong, they are also semantic tags as they are used over <i></i><b></b>

		Semantic Containers such as nav,main,section are more preferred by developers now because it aids in better Search Engine Optimization, as well developers themselves because each tag now clearly defines what is the content to be added


	Nav is a semantic container which contains navigation links.
	 -->
	<nav>
	<a href="./index.html">Go to index.html
	<a href="./table.html"> Go to table.html
	<a href="../activity/contact.html"> Go to contact.html

	</a>
	
	</nav>
<!-- main is a semantic container used to show the main content of a page -->
	<main>
	<!-- sections are used to show parts of a page	 --> 
	<section>
		<h2>HTML FORMS</h2>
		<p>HTML Forms are used to gather infor or data from our user and send that info to a server</p>
	</section>
	<section>
		<!-- 

	action tag
		the data to the server of the url that is given.
	
	label tag will allow us to create an element that serves
	as a label or indicator to the input.
	add a
	
	"for" attribute to the label will allow us to
	associate the label element to a particular input element.
	for attribute is passed the id of the particular input
	element to associate it.
	
	input tag creates an input element to add user input
	input tag can have many types to allow the addition of
	different kinds of data or information like text, numbers
	or dates
	
	type attribute in input elements allows us to identify
	what kind of information is to be provided to the input
	It also affects the behavior of the element to be
	appropriate to the type of data we want to gatherl 

	id attribute not only provides a unique identifier for the element, it is alos used by the label to associate with

	required attribute allows us to check if the input has been filled and if not the form cannot be submitted

	autocomplete attribute provides suggestions for inputs and allows for better user experience

	input type date changes the behavior of an input eleemnt and only allows the input of dates

	buttons are used to interact with our pages we can either have the button trigger an action, reset a form or submit the form

	type attribute to a button to indicate the action it will do 

	This is why we add a type attribute to differntiate the actions buttons can do in a form

	Input type number change the behavior of an input element and only allows the input of numbers

	min attribute to input type number sets the minimum number we can input

	max attribute to input sets the maximum number we can input

	select tag allows us to create a dropdown menu with choices 

	option tag allows us to create the options/choices available for our select tag

	value attribute to provide the value or data per option. This is done because options cannot be typed into and receive input

	input type radio allows to create a radio button and provide users 


-->
		<form action="https://google.com">
			<!-- full name -->
			<label for="fname">Full Name:</label>
			<br> 
			<!-- br will break the line -->
			<input type="text" name="fullname" id="fname" required autocomplete>
			<br>
			<!-- birthdate -->
			<label for="bdate">Birthdate:</label>
			<input type="date" name="birthday" id="bdate" required>
			<br>
			<label for="ageInput">Age:</label>
			<br>
			<input type="number" name="age" id="ageInput" min="18" max="40" required>
			<br>
			<lable for="genderInput">Gender</lable>
			<br>
			<select name="gender" id="genderInput">
				<option value="male">Male</option>
				<option value="female">Female</option>
				<option value="other">Other</option>
			</select>
			<br>
			<label>New User?</label>
			<br>
			<input type="radio" name="new_user" id="radioUser1" value="yes">
			<label for="radioUser1">Yes</label>
			<br>
			<input type="radio" name="new_user" id="radioUser2" value="no">
			<label for="radioUser2">No</label>
			<br>
			<label>Role:</label>
			<br>
			<input type="checkbox" name="role1" id="roleInput1" value="developer">
			<label for="roleInput1">Developer</label>
			<br>
			<input type="checkbox" name="role2" id="roleInput2" value="student">
			<label for="roleInput1">Student</label>
			<br>
			<input type="checkbox" name="role3" id="roleInput1" value="Manager">
			<label for="roleInput1">Manager</label>
			<br>
			<br>
			<button type ="submit">Submit</button>
			<button type ="reset">Reset</button>
		</form>

	</section>

	</main>

</body>
</html>